%define name libprojectm
%define oname libprojectM
%define major 2
%define libname %mklibname projectm %major
%define develname %mklibname -d projectm
%define oldlibname %mklibname projectm

Summary: Visualization library for OpenGL based on Milkdrop 
Name: libprojectm
Version: 2.0.0
Release: %mkrel 9
Epoch: 1
Source0: http://downloads.sourceforge.net/projectm/%{oname}-%{version}-Source.tar.gz
Patch1: libprojectM-2.0.0-fix-linking.patch
License: LGPLv2+
Group: System/Libraries
Url: http://xmms-projectm.sourceforge.net/
BuildRequires: libftgl-devel
BuildRequires: cmake
BuildRequires: libglew-devel
BuildRequires: libgomp-devel

%description
projectM is a reimplementation of Milkdrop under OpenGL.

%package -n %libname
Summary: Visualization library for OpenGL based on Milkdrop
Group: System/Libraries
Requires: %name-data >= %epoch:%version

%description -n %libname
projectM is a reimplementation of Milkdrop under OpenGL.


%package data
Summary: Visualization library for OpenGL based on Milkdrop 
Group: Graphics/3D
Requires: fonts-ttf-bitstream-vera
BuildArch: noarch

%description data
projectM is a reimplementation of Milkdrop under OpenGL. This contains data
files and presets.

%package -n %develname
Summary: Visualization library for OpenGL based on Milkdrop
Group: Development/C
Requires: %libname = %epoch:%version
Provides: libprojectm-devel = %epoch:%version-%release
Obsoletes: %mklibname -d projectm 0
Requires: libglew-devel
Conflicts: %oldlibname

%description -n %develname
projectM is a reimplementation of Milkdrop under OpenGL.


%prep
%setup -q -n projectM-%{version}-Source
rm -fr build CMakeCache.txt
#patch0 -p1 -b .ftgl
%patch1 -p0 -b .link

%build
%cmake
%make

%install
%makeinstall_std -C build

#replace by symlink
ln -sf %_datadir/fonts/TTF/{Vera.ttf,VeraMono.ttf} %buildroot%_datadir/projectM/fonts/

%files data
%doc ChangeLog
%_datadir/projectM

%files -n %libname
%_libdir/libprojectM.so.%{major}*

%files -n %develname
%_libdir/pkgconfig/*.pc
%_includedir/libprojectM
%_libdir/libprojectM.so


%changelog

* Thu Jan 17 2013 malo <malo> 1:2.0.0-9.mga3
+ Revision: 388925
- updated RPM group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 30 2012 fwang <fwang> 1:2.0.0-7.mga3
+ Revision: 285746
- data package should be noarch

* Thu Aug 30 2012 fwang <fwang> 1:2.0.0-6.mga3
+ Revision: 285694
- rebuild for new glew

* Wed Jul 25 2012 fwang <fwang> 1:2.0.0-5.mga3
+ Revision: 274251
- rebuild for new glew

* Mon Oct 03 2011 fwang <fwang> 1:2.0.0-4.mga2
+ Revision: 151155
- rebuild for new glew

* Wed Jan 26 2011 ahmad <ahmad> 1:2.0.0-3.mga1
+ Revision: 40967
- drop old/unneeded scriptlets
- imported package libprojectm

